
Core - Task # 57348

Story # 58777 (Accepted): Fixes/Tasks for impexp / distributions

Status: Resolved Priority: Must have
Author: Eckard Gehrke Category: Import/Export (T3D)
Created: 2014-03-26 Assigned To: Nicole Cordes
Updated: 2014-11-17 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Introduction package does not install/load any pages: typo3 6.2.0
Description

Hi, 
I tried to install from brand new typo3 6.2 installation the Introdcution package but it fails.
When I look to the log file I see the following:

Type    Action  Details
[5]     [0]     Core: Error handler (BE): PHP Warning: current() expects parameter 1 to be array, null given in
C:\xampp\xampp1833VC11\htdocs\t3_620\typo3\sysext\impexp\Classes\Utility\ImportExportUtility.php line 66     
[5]     [0]     Core: Error handler (BE): PHP Warning: reset() expects parameter 1 to be array, null given in
C:\xampp\xampp1833VC11\htdocs\t3_620\typo3\sysext\impexp\Classes\Utility\ImportExportUtility.php line 65     
DB     Insert     Attempt to insert record on page '[root-level]' (0) where this table, sys_file_reference, is not allowed (msg#1.1.11)     
DB     Update     Attempt to modify record '[No title]' (tt_content:3) without permission. Or non-existing page. (msg#1.2.2)     
DB     Insert     Attempt to insert record on page '[root-level]' (0) where this table, tt_content, is not allowed (msg#1.1.11)     
DB     Update     Attempt to modify record '[No title]' (sys_template:3) without permission. Or non-existing page. (msg#1.2.2)     
[5]     [0]     Core: Error handler (BE): PHP Warning: array_merge(): Argument #1 is not an array in
C:\xampp\xampp1833VC11\htdocs\t3_620\typo3\sysext\core\Classes\DataHandling\DataHandler.php line 1445 
and a lot more Warning of the last warning in the log.

I tried it a few times: always the same error.
During the install bootstrap_package and realurl gets loaded and some "stuff" gets created on file system, but page tree remains
empty.
I am using latest version of XAMPP on localhost.
Best regards
Eckard.

Related issues:
related to Core - Task # 58688: exec_SELECTgetSingleRow could also return FALSE Resolved 2014-05-09
related to Core - Task # 62574: Introduction package does not install/load an... New 2014-03-26

Associated revisions
Revision 88746ec2 - 2014-05-13 19:24 - Marc Bastian Heinrichs

[BUGFIX] Don't rely on not found database records impexp

The function exec_SELECTgetSingleRow could also return
FALSE in addition to NULL, so add a additional check.

Resolves: #58688
Resolves: #57348
Releases: 6.2
Change-Id: Ic04071f67f02cce12b11c34d46c084bc28ccc83a
Reviewed-on: https://review.typo3.org/29993
Reviewed-by: Marc Bastian Heinrichs
Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2014-03-26 18:58 - Eckard Gehrke
- Target version set to 6.2 LTS

#2 - 2014-03-27 10:06 - Ernesto Baschny
- Project changed from Introduction Package to Core
- Target version deleted (6.2 LTS)

#3 - 2014-04-04 12:47 - Daniel Wagner

Hi,

I have the same problem. The introduction-package installs bootstrap_package and realurl and then it tries to install a t3d via importT3DFile
which stops the installation of the introduction-package. I have a pagetree but the install is incomplete and files are missing.

PHP Warning: array_merge(): Argument #1 is not an array in /var/www/typo3_src-6.2.0/typo3/sysext/core/Classes/DataHandling/DataHandler.php line
1445
01445:     $eFile = \TYPO3\CMS\Core\Html\RteHtmlParser::evalWriteFile($vconf['spec']['static_write'], array_merge($currentRecord, $fieldArray));

$currentRecord is NULL

#4 - 2014-04-17 23:07 - Eckard Gehrke

Hi,
started with new typo3 6.2.1
General install works really good in just a few minutes.

Installation of Introduction Package still does not work. I get the package installed and was able to see the success message of installation but still in
log file same errors occur and no pages get generated.

Best regards
Eckard.

#5 - 2014-05-08 11:20 - Daniel Wagner
- Target version set to next-patchlevel

Hi,
for me it is the same at 6.2.2.

#6 - 2014-05-13 12:40 - Nicole Cordes
- Category set to Import/Export (T3D)
- Status changed from New to Accepted
- Assigned To set to Nicole Cordes
- Target version deleted (next-patchlevel)
- Is Regression set to No
- TYPO3 Version set to 6.2

#7 - 2014-05-13 13:09 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30042

#8 - 2014-05-13 16:34 - Marc Bastian Heinrichs
- Target version set to next-patchlevel
- Parent task set to #58777

#9 - 2014-05-13 17:06 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29993

#10 - 2014-05-13 19:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:88746ec27aa590b7fcefb48a2e00ead3ea5bbd06.

#11 - 2014-10-29 17:46 - Ivan Godorogea

Eckard Gehrke wrote:

Hi,
started with new typo3 6.2.1
General install works really good in just a few minutes.

Installation of Introduction Package still does not work. I get the package installed and was able to see the success message of installation but still
in log file same errors occur and no pages get generated.

Best regards
Eckard.

Still persists in 6.2.6.
Environment:
 - Windows 7
 - wampserver 2.5(same in xampp)

In Ubuntu the distribution is installed correctly.

#12 - 2014-11-13 16:16 - TSniper no-lastname-given

Hi, i have the same problem, it shows that the introduction package is installed correctly with the bootsrap kit but there is no pagetree installed.

TYPO3 Version 6.2.6

#13 - 2014-11-17 21:10 - Eckard Gehrke

Hi,
since it seems that I as starter of the task can not change the status, I created a new task 62574 under the following link:

https://forge.typo3.org/issues/62574

Best regards

Eckard.
